注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

Tales~曾经的我们~

想起你的好

 
 
 

日志

 
 
关于我

专业化学。爱好文学。同时还喜欢美术、摄影、哲学、经济学、新闻传播学和计算机。目前乐器小提琴,最想学的乐器是钢琴。对ACG有爱。

网易考拉推荐

在Red Hat 5.5中重装系统自带版本的python  

2011-06-17 17:29:25|  分类: Computer |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
之前装的某台服务器,用的RHEL 5.5系统(64位),系统自带的python编译器被人删掉了,换成了python2.6和2.7,并且路径设置得乱七八糟。由于还有别的机器使用的是系统自带的python,在这台机器上编译的某些东西在别的机器上无法使用,所以需要将其换回原来的版本。(并且yum也无法使用)
先在官网上下载了2.4.3版本,安装之后yum仍然不能使用,估计是小版本号有问题,也或者是2.6和2.7版本由于路径混乱而导致冲突。于是干脆把2.6和2.7全部都干掉了。当时手头没有安装盘,那就从别的机器上搞原始版本的python吧。
随便找一台安装了系统自带版本python的机器,将以下目录copy到目标机器的相应位置即可
/usr/bin/python*
/usr/lib/python2.4
/usr/lib64/python2.4
/usr/lib64/libpython2.4.so.1.0
之后可能需要在/usr/lib64目录下做一个软连接
ln -s libpython2.4.so.1.0 libpython2.4.so

这时输入python -V,可以看到版本号就没有问题了,yum也可以正常使用了。测试了一下编译软件,正常通过。至于有没有别的什么问题,在以后的使用中在看看吧
  评论这张
 
阅读(1024)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017